/*
    This file is part of Bemused.

    Bemused is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bemused is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bemused; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Copyright (C) 2002 Ashley Montanaro.
*/

#ifndef BEMUSED_FIND_SONG_DIALOG_H__
#define BEMUSED_FIND_SONG_DIALOG_H__

#include <eikdialg.h>

class CEikEdwin;

class CBemusedFindSongDialog : public CEikDialog
	{
public:
	CBemusedFindSongDialog(TDes& aSongToFind);

	void PreLayoutDynInitL();
	TBool OkToExitL(TInt aKeycode);

private:
	TDes& iSongToFind;
    };

#endif
