rem Build Bemused

rem === Series 60 version ===

call bldmake bldfiles
call abld reallyclean thumb urel
call abld build thumb urel
call makesis bemused.pkg
call makesis bemused_full.pkg
rename bemused.SIS bemused.sis
rename bemused_full.SIS bemused_full.sis

rem Now for the PowerPoint configuration

call copy bemused.mmp bemused_temp.mmp
echo MACRO POWERPOINT_ONLY >>bemused.mmp
call abld reallyclean thumb urel
call abld build thumb urel
call makesis bemused_pp.pkg
rename bemused_pp.SIS bemused_pp.sis
copy /y bemused_temp.mmp bemused.mmp

rem Move the relevant files to the release directory

move bemused.sis ..\..\..\BemusedRelease\s60
move bemused_full.sis ..\..\..\BemusedRelease\s60
move bemused_pp.sis ..\..\..\BemusedRelease\s60
copy ..\..\docs\s60\README.txt ..\..\..\BemusedRelease\s60
copy ..\..\docs\ChangeLog.txt ..\..\..\BemusedRelease\s60
copy ..\..\..\BemusedServer\Release\BemusedServer.exe ..\..\..\BemusedRelease\s60

rem Create the ZIPs of the binaries

cd ..\..\..\BemusedRelease\s60
del bemused.zip bemused_full.zip
call zip bemused.zip bemused.sis BemusedServer.exe README.txt ChangeLog.txt
call zip bemused_full.zip bemused_full.sis BemusedServer.exe README.txt ChangeLog.txt
call zip bemused_pp.zip bemused_pp.sis BemusedServer.exe README.txt ChangeLog.txt

rem === Source code ===

cd ..\..
del bemused_src.zip BemusedServer_src.zip
call zip -r bemused_src.zip Bemused
move bemused_src.zip BemusedRelease
call zip BemusedServer_src.zip BemusedServer\*.* BemusedServer\res\*.*
move BemusedServer_src.zip BemusedRelease

rem All done; let's go back to where we were

cd Bemused\group