rem Build Bemused

rem === UIQ version ===

call bldmake bldfiles
call abld clean thumb urel
call abld build thumb urel
call makesis bemused.pkg
call makesis bemused_full.pkg
rename bemused.SIS bemused.sis
rename bemused_full.SIS bemused_full.sis

rem Now for the PowerPoint configuration

call copy bemused.mmp bemused_temp.mmp
echo MACRO POWERPOINT_ONLY >>bemused.mmp
call abld clean thumb urel
call abld build thumb urel
call makesis bemused_pp.pkg
rename bemused_pp.SIS bemused_pp.sis
copy /y bemused_temp.mmp bemused.mmp

rem Move the relevant files to the release directory

move bemused.sis ..\..\..\BemusedRelease\uiq
move bemused_full.sis ..\..\..\BemusedRelease\uiq
move bemused_pp.sis ..\..\..\BemusedRelease\uiq
copy ..\..\docs\uiq\README.txt ..\..\..\BemusedRelease\uiq
copy ..\..\docs\ChangeLog.txt ..\..\..\BemusedRelease\uiq
copy ..\..\..\BemusedServer\Release\BemusedServer.exe ..\..\..\BemusedRelease\uiq

rem Create the ZIPs of the binaries

cd ..\..\..\BemusedRelease\uiq
del bemused.zip bemused_full.zip
call zip bemused.zip bemused.sis BemusedServer.exe README.txt ChangeLog.txt
call zip bemused_full.zip bemused_full.sis BemusedServer.exe README.txt ChangeLog.txt
call zip bemused_pp.zip bemused_pp.sis BemusedServer.exe README.txt ChangeLog.txt