/*
    This file is part of Bemused.

    Bemused is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Bemused is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Bemused; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Copyright (C) 2002 Ashley Montanaro.
*/

#ifndef BEMUSEDAPP_H
#define BEMUSEDAPP_H

#ifdef BEMUSED_SERIES_60
  #include <aknapp.h>
#else
  #include <qikapplication.h>
#endif

// UID of the application
const TUid KUidBemused = { 0x0B48A2AB };

#ifdef BEMUSED_SERIES_60
class CBemusedApp : public CAknApplication
#else
class CBemusedApp : public CQikApplication
#endif
    {
private:
    CApaDocument* CreateDocumentL();
    
    TUid AppDllUid() const;
    };

#endif

// End of File

